---
title: wls default role mapper
keywords: documentation
layout: documentation
sidebar: wls_config_sidebar
toc: false
---
## Overview

This resource allows you to manage Role Mappers in weblogic.

## Attributes



Attribute Name                                              | Short Description                                                        |
----------------------------------------------------------- | ------------------------------------------------------------------------ |
[class_type](#wls_default_role_mapper_class_type)           | The fully qualified classname of the default role mapper
                |
[class_type_impl](#wls_default_role_mapper_class_type_impl) | The fully qualified classname of the default role mapper implementation
 |
[domain](#wls_default_role_mapper_domain)                   | With this parameter, you identify the domain, where your objects is in.  |
[ensure](#wls_default_role_mapper_ensure)                   | The basic property that the resource should be in.                       |
[mapper_name](#wls_default_role_mapper_mapper_name)         | The name of the mapper
                                                  |
[name](#wls_default_role_mapper_name)                       | The name.                                                                |
[provider](#wls_default_role_mapper_provider)               | resource.                                                                |




### class_type<a name='wls_default_role_mapper_class_type'>

The fully qualified classname of the default role mapper



[Back to overview of wls_default_role_mapper](#attributes)

### class_type_impl<a name='wls_default_role_mapper_class_type_impl'>

The fully qualified classname of the default role mapper implementation



[Back to overview of wls_default_role_mapper](#attributes)

### domain<a name='wls_default_role_mapper_domain'>

With this parameter, you identify the domain, where your objects is in.

The domain name is part of the full qualified name of any WebLogic object on a system. Let's
say we want to describe a WebLogic server. The full qualified name is:

    wls_server{'domain_name/server_name':
      ensure => present,
      ...
    }

When you don't specify a domain name, Puppet will use `default` as domain name. For every domain
you want to manage, you'll have to put a `wls_settings` in your manifest.



[Back to overview of wls_default_role_mapper](#attributes)

### ensure<a name='wls_default_role_mapper_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 

[Back to overview of wls_default_role_mapper](#attributes)

### mapper_name<a name='wls_default_role_mapper_mapper_name'>

The name of the mapper



[Back to overview of wls_default_role_mapper](#attributes)

### name<a name='wls_default_role_mapper_name'>

The name.



[Back to overview of wls_default_role_mapper](#attributes)

### provider<a name='wls_default_role_mapper_provider'>

The specific backend to use for this `wls_default_role_mapper`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage a default role mapper in WebLogic via regular WLST



[Back to overview of wls_default_role_mapper](#attributes)
