---
title: wls role
keywords: documentation
layout: documentation
sidebar: wls_config_sidebar
toc: false
---
## Overview

This resource allows you to manage roles an WebLogic Secuirty Realm.

## Attributes



Attribute Name                     | Short Description                                                       |
---------------------------------- | ----------------------------------------------------------------------- |
[domain](#wls_role_domain)         | With this parameter, you identify the domain, where your objects is in. |
[ensure](#wls_role_ensure)         | The basic property that the resource should be in.                      |
[expression](#wls_role_expression) | The expression used to specify the role
                                |
[name](#wls_role_name)             | The name.                                                               |
[provider](#wls_role_provider)     | resource.                                                               |
[realm](#wls_role_realm)           | The security realm of the domain
                                       |
[role_name](#wls_role_role_name)   | The role name
                                                          |
[timeout](#wls_role_timeout)       | Timeout for applying a resource.                                        |




### domain<a name='wls_role_domain'>

With this parameter, you identify the domain, where your objects is in.

The domain name is part of the full qualified name of any WebLogic object on a system. Let's
say we want to describe a WebLogic server. The full qualified name is:

    wls_server{'domain_name/server_name':
      ensure => present,
      ...
    }

When you don't specify a domain name, Puppet will use `default` as domain name. For every domain
you want to manage, you'll have to put a `wls_settings` in your manifest.



[Back to overview of wls_role](#attributes)

### ensure<a name='wls_role_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 

[Back to overview of wls_role](#attributes)

### expression<a name='wls_role_expression'>

The expression used to specify the role



[Back to overview of wls_role](#attributes)

### name<a name='wls_role_name'>

The name.



[Back to overview of wls_role](#attributes)

### provider<a name='wls_role_provider'>

The specific backend to use for this `wls_role`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage Weblogic roles in an WebLogic domain via regular WLST



[Back to overview of wls_role](#attributes)

### realm<a name='wls_role_realm'>

The security realm of the domain



[Back to overview of wls_role](#attributes)

### role_name<a name='wls_role_role_name'>

The role name



[Back to overview of wls_role](#attributes)

### timeout<a name='wls_role_timeout'>

Timeout for applying a resource.

To be sure no Puppet operation, hangs a Puppet daemon, all operations have a timeout. When this timeout
expires, Puppet will abort the current operation and signal an error in the Puppet run.

With this parameter, you can specify the length of the timeout. The value is specified in seconds. In
this example, the `timeout`  is set to `600`  seconds.

    wls_server{'my_server':
      ...
      timeout => 600,
    }

The default value for `timeout` is 120 seconds.



[Back to overview of wls_role](#attributes)
