#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_recovery_threshold_millis, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The interval that recovery is attempted until the resource becomes available. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_recovery_threshold_millis => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_recovery_threshold_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/RecoveryThresholdMillis')
end
