#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:service_activation_request_response_timeout, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum time, in milliseconds seconds, for services to wait for response from cluster members. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         service_activation_request_response_timeout => '10000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:service_activation_request_response_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ServiceActivationRequestResponseTimeout')
end
