#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:wan_session_persistence_table_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Return the name of the table to be used for WAN session persistence. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         wan_session_persistence_table_name => 'WLS_WAN_PERSISTENCE_TABLE'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:wan_session_persistence_table_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('WANSessionPersistenceTableName')
end
