#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:start_arguments, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The arguments to use when starting this server.  These are the first arguments appended immediately after <code>java</code> portion of the startup command. For example, you can set Java heap memory or specify any <code>weblogic.nodemanager.server.provider.WeblogicCacheServer</code> option.  Separate arguments with a space. 

  An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         start_arguments => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_server:start_arguments']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CoherenceServerStart/%{coherence_server_name}/Arguments')
end
