#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:start_java_home, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The Java home directory (path on the machine running Node Manager) to use when starting this server.  Specify the parent directory of the JDK's <code>bin</code> directory. For example, <code>c:&#92;bea&#92;jdk141</code>. 

  An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         start_java_home => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_server:start_java_home']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CoherenceServerStart/%{coherence_server_name}/JavaHome')
end
