#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:deployment_principal_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  A string value that indicates the principal that should be used when deploying the file or archive during startup and shutdown. This principal will be used to set the current subject when calling out into application code for interfaces such as ApplicationLifecycleListener. If no principal name is specified, then the anonymous principal will be used. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         deployment_principal_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:deployment_principal_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DeploymentPrincipalName')
end
