#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:onsnodelist, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  A comma-separate list of ONS daemon listen addresses and ports to which connect to for receiving ONS-based FAN events.

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         onsnodelist => 'node_a, node_b'
         ...
      }

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCOracleParams/%{datasource_name}/OnsNodeList') {''}

end
