#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:console_context_path, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  The context path that you want to use in URLs that specify the Administration Console. (Requires you to enable the Administration Console for the current domain.)  To access the Administration Console, you use the following URL: http://listen-addess:listen-port/context-path. For example, if you set the context path to <code>myconsole</code>, then you use the following URL to access the Administration Console: <code>http://localhost:7001/myconsole</code>.  To specify the listen address and listen port that you use to access the Administration Console, configure the listen address and listen port of the Administration Server. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         console_context_path => 'console'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:console_context_path']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ConsoleContextPath')
end
