#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_serialize_enlistments_gc_interval_millis, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  

  desc <<-EOD
  The time interval, in milliseconds, at which internal objects used to serialize resource enlistment are cleaned up. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         jta_serialize_enlistments_gc_interval_millis => '30000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:jta_serialize_enlistments_gc_interval_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTA/%{domain_name}/SerializeEnlistmentsGCIntervalMillis')
end
