#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:partition_work_manager, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The partition-level work manager policy set by the system administrator for this partition. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         partition_work_manager => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:partition_work_manager']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PartitionWorkManager')
end
