#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:systemfs_preserved, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Specifies whether the file system should be preserved when the partition is deleted. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         systemfs_preserved => 1,
         ...
      }

  EOD

  maps_to('SystemFileSystem/%{domain_partition_name}/Preserved')
end
