#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:worker_preferred_batch_size, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Specifies the batch size when the <code>Worker Count</code> attribute is configured to a value greater than 1. Used to configure the workload the JDBC store incrementally puts on each worker thread. The workload consists of IO requests which are grouped and pushed to each JDBC worker thread for processing. If the IO request is very large (for example 1M), then tune this attribute to a smaller value. 

  An example on how to use this:

      wls_jdbc_persistence_store {a_wls_jdbc_persistence_store :
         ...
         worker_preferred_batch_size => '10'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jdbc_persistence_store:worker_preferred_batch_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('WorkerPreferredBatchSize')
end
