#
# See the file "LICENSE" for the full license governing this code.
#
  newproperty(:user_password, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  The user password that the adapter uses to access the bridge destination.  As of 8.1 sp4, when you get the value of this attribute, WebLogic Server does the following: <ol><li>Retrieves the value of the <code>UserPasswordEncrypted</code> attribute. <li>Decrypts the value and returns the unencrypted password as a String. </ol>  When you set the value of this attribute, WebLogic Server does the following: <ol><li>Encrypts the value.</li> <li>Sets the value of the <code>UserPasswordEncrypted</code> attribute to the encrypted value.</li> </ol> Using this attribute (<code>UserPassword</code>) is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it and the memory is reallocated. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.  Instead of using this attribute, use <code>UserPasswordEncrypted</code>. 

  An example on how to use this:

      wls_jms_bridge_destination {a_wls_jms_bridge_destination :
         ...
         user_password => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_bridge_destination:user_password']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('UserPassword')
end
