#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:forward_delay, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The number of seconds after which a uniform distributed queue member with no consumers will wait before forwarding its messages to other uniform distributed queue members that do have consumers.  The default value of -1 disables this feature so that no messages are forwarded to other uniform distributed queue members.

  An example on how to use this:

      wls_jms_queue {a_wls_jms_queue :
         ...
         forward_delay => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_queue:forward_delay']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ForwardDelay')
end
