#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:messaging_performance_preference, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Controls how long destinations are willing to wait to create full batches of available messages (if at all) for delivery to consumers. At the minimum value, batching is disabled; at the default value, less-than-full batches will not wait and are delivered immediately with currently available messages; tuning higher than the default value controls the maximum wait time for additional messages before less-than-full batches are delivered to consumers.  The maximum message count of a full batch is controlled by the JMS connection factory's Messages Maximum setting.

  An example on how to use this:

      wls_jms_topic {a_wls_jms_topic :
         ...
         messaging_performance_preference => '25'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_topic:messaging_performance_preference']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MessagingPerformancePreference')
end
