#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:persistent_store, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The file or database in which this JMS server stores persistent messages. If unspecified, the JMS server uses the default persistent store that is configured on each targeted WebLogic Server instance. If the JMS server has a store configured, then the configured store is used to store persistent messages.  The disk-based file store or JDBC-accessible database store that you specify must be targeted to the same server, cluster, or migratable target instance as this JMS server. Multiple services on the same WebLogic Server instance, including multiple JMS servers, may share the same persistent store. Each service's persistent data will be kept apart.  If you specify a PersistentStore, the deprecated Store field must not be set. If neither the PersistentStore field nor the Store field are set, the JMS server supports persistent messaging using the default persistent store for the targeted WebLogic Server instance. 

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         persistent_store => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:persistent_store']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PersistentStore')
end
