#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:store_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
    Specifies whether message persistence is supported for this JMS server. only for wls 10.3

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('StoreEnabled') {nil}

  on_apply do
    begin
      apply_paths(value)
    rescue RuntimeError
      Puppet.warning 'store_enabled probably not supported on the WebLogic version'
    end
  end

end
