#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:installed_vmm_adapters, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Gets a list of the names and versions of the installed Virtual Machine Manager (VMM) adapters 

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         installed_vmm_adapters => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:installed_vmm_adapters']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('NodeManager/%{machine_name}/InstalledVMMAdapters')
end
