newproperty(:long_running_priority, :parent => Puppet::Parameter::WlsProperty) do
  
  include EasyType::Types::Integer

  desc <<-EOD
   An integer that specifies the long-running daemon thread's priority. If a value is specified, all long-running threads are affected.  

  An example on how to use this:

      wls_managed_executor_service_template {a_wls_managed_executor_service_template :
         ...
         long_running_priority => '5'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD
  
  validate do | value|
    fail 'value must be between 0 and 10' if value < 1 or value > 10
  end


  maps_to('LongRunningPriority')
end
