#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:migration_policy, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Controls migration and restart behavior of cluster targeted JMS service artifact instances. When this setting is configured on a Store it applies to all JMS artifacts that reference the store. Valid options: <ul> <li><code>Off</code> disables migration and restart support for cluster targeted JMS service objects, including the ability to restart a failed persistent store instance and its associated services.   This policy can not be combined with the <code>Singleton</code> Migration Policy. </li> <li><code>On-Failure</code> enables automatic migration and restart of instances on the failure of a subsystem Service or WebLogic Server instance, including automatic fail-back and load balancing of instances. </li>  <li><code>Always</code> provides the same behavior as <code>On-Failure</code> and automatically migrates instances even in the event of a graceful shutdown or a partial cluster start. </li> </ul> Note: Cluster leasing must be configured for <code>On-Failure</code> and <code>Always</code>. 

  An example on how to use this:

      wls_messaging_bridge {a_wls_messaging_bridge :
         ...
         migration_policy => 'Off'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_messaging_bridge:migration_policy']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MigrationPolicy')
end
