#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_time_to_live, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The default amount of time, in milliseconds, that the agent guarantees to reliably send messages.  <ul> <li> A value of 0 means the agent guarantees to reliably send messages for the duration of the conversation. </li>  <li> Updating <code>DefaultTimeToLive</code> causes conversations starting after the update to use the new value. </li> </ul> 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         default_time_to_live => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:default_time_to_live']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DefaultTimeToLive')
end
