#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:administration_protocol, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns the protocol to be used for administrative connections when none is specified. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         administration_protocol => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:administration_protocol']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('AdministrationProtocol')
end
