newproperty(:migration_candidate_machines,:array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::ArrayProperty

  desc <<-EOD
  Limits the list of candidate machines that the cluster specifies. (Requires you to enable this server for automatic migration and to configure the cluster with a set of candidate machines.)

  If this server fails and if it is enabled for automatic migration, Node Manager automatically restarts it. By default, Node Manager restarts the server on any of the candidate machines that the cluster specifies (in order of preference that you configured in the cluster). To change the default, you use this server's list of candidate machines to create a subset of the cluster-wide candidates. You can also change the order of preference.
  An example on how to use this:

      wls_server {a_wls_server :
         ...
         migration_candidate_machines => ['machine_1','machine_2'],
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:migration_candidate_machines']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CandidateMachines/')
end
