#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:stuck_thread_max_time, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The number of seconds that a thread must be continually working before this server considers the thread stuck.  For example, if you set this to 600 seconds, WebLogic Server considers a thread to be "stuck" after 600 seconds of continuous use.  In Web Logic Server 9.x and later, it is recommended that you use the ServerFailureTriggerMBean in the OverloadProtectionMBean. The ServerFailureTriggerMBean transitions the server to a FAILED state after the specified number of stuck threads are detected. The OverloadProtectionMBean has options to suspend or shutdown a failed server.  

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         stuck_thread_max_time => '600'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:stuck_thread_max_time']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('StuckThreadMaxTime')
end
