#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_number_of_files_limited, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Limited log number of files of a domain or server.
  EOD

  maps_to([
    'Log/%{server_name}/NumberOfFilesLimited',
    'WebServer/%{server_name}/WebServerLog/%{server_name}/NumberOfFilesLimited',
    'DataSource/%{server_name}/DataSourceLogFile/%{server_name}/NumberOfFilesLimited'
  ])

end