#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:protocol, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The protocol this network channel should use for connections. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         protocol => 't3'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:protocol']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Protocol')
end
