#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:low_memory_sample_size, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The number of times this server samples free memory during the time period specified by LowMemoryTimeInterval.  Increasing the sample size can improve the accuracy of the reading. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         low_memory_sample_size => '10'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:low_memory_sample_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('LowMemorySampleSize')
end
