#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_message_size, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of bytes allowed in messages that are received over all supported protocols, unless overridden by a protocol-specific setting or a custom channel setting.  The order of precedence for setting message size maximums is as follows:  <ol> <li> A channel-wide maximum in a custom network channel. </li>  <li> A protocol-specific setting in the default network channel. <br/>See<ul> <li>{@link #getMaxCOMMessageSize() getMaxCOMMessageSize}</li> <li>{@link #getMaxHTTPMessageSize() getMaxHTTPMessageSize}</li> <li>{@link #getMaxIIOPMessageSize() getMaxIIOPessageSize}</li> <li>{@link #getMaxT3MessageSize() getMaxT3MessageSize}</li> </ul> </li>  <li> The message maximum in this attribute. </li> </ol>  This maximum message size helps guard against a denial of service attack in which a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. A client can set this value using the <code>-Dweblogic.MaxMessageSize</code> property. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         max_message_size => '10000000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:max_message_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxMessageSize')
end
