#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_login_timeout_millis, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Specifies the number of milliseconds that WebLogic Server waits for an SSL connection before timing out. SSL connections take longer to negotiate than regular connections.  If clients are connecting over the Internet, raise the default number to accommodate additional network latency. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         ssl_login_timeout_millis => '25000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:ssl_login_timeout_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{template_name}/LoginTimeoutMillis')
end
