#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type/array_property'

newproperty(:extra_properties, :array_matching => :all) do
  include EasyType
  include EasyType::ArrayProperty

  desc <<-EOD
  The extra properties to use.

  Besides all the properties of the WebLogic types that are always loaded, you can use a set of extra properties.
  To enable these extra properties, you'll have to enabled them in de settings for this domain. You can do this
  useing the `extra_properties` property of `wls_setting`.

  This is an array of elements. Each element is a regular expression specifying one or more
  types with attributes. An example:

    wls_setting {'default':
      ...
      extra_properties => [
        'wls_server:.*',      # Include all extra properties from wls_server
        'wls_domain:.*ssl.*', # include all extra properties containg the string ssl for type wls_domain
      ]
      ...
    } 

  EOD

  defaultto []

  to_translate_to_resource do | raw_resource|
    raw_resource[self.name]
  end

end
