#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_accept_context_path_in_get_real_path, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Indicates whether this server allows the inclusion of the context path in the virtual path to <code>context.getRealPath()</code>. (If checked, you cannot use sub directories with the same name as <code>contextPath</code>). This is a compatibility switch that will be deprecated 9.0.0.0 in future releases.  Gets the acceptContextPathInGetRealPath attribute of the WebServerMBean object 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         http_accept_context_path_in_get_real_path => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:http_accept_context_path_in_get_real_path']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('WebServer/%{virtual_target_name}/AcceptContextPathInGetRealPath')
end
