#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_use_header_encoding, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
   

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         http_use_header_encoding => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:http_use_header_encoding']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('WebServer/%{virtual_target_name}/UseHeaderEncoding')
end
