#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:partition_channel, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The channel name to be used as a reference for a creating partition specific channel. 

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         partition_channel => 'PartitionChannel'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:partition_channel']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PartitionChannel')
end
