#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

module Puppet_X
  module EnterpriseModules
    module WebLogic
      module Provider

       include EasyType::Provider

        def self.included(parent)
          #
          # We use send here because in ruby 1.8.7, include is a private
          # method. In ruby 1.9 this has become public.
          # TODO: When we lose support for ruby 1.8.7 change this to more standard
          #
          parent.send(:include, EasyType)
          parent.send(:include, EasyType::Provider)
          parent.instance_eval do
            confine :exists => "/etc/wls_setting.yaml"
            confine :feature => :weblogic_running
          end
        end

        def execute_from_type(action)
          wls_config = Puppet_X::EnterpriseModules::WebLogic::Tree.new(resource.domain)
          wls_config.edit
          super
          wls_config.save
        end
      end
    end
  end
end
