#
# See the file "LICENSE" for the full license governing this code.
#
class Puppet::Parameter::WlsEncryptedProperty < Puppet::Parameter::WlsProperty
  include EasyType::EncryptedProperty

  def current_value
    #
    # Puppet asks Weblogic to decrypt the current datasource password stored in the domain and 
    # return this to puppet for comparison. The Puppet code does not store the decrypted password
    # on disk.
    #
    wls_config = Puppet_X::EnterpriseModules::WebLogic::Tree.new(resource[:domain])
    wls_config.get_encrypted("#{actual_path(resource)}Encrypted")
  end

end
