#
# See the file "LICENSE" for the full license governing this code.
#
class Puppet::Parameter::WlsHashProperty < Puppet::Parameter::WlsProperty
  include EasyType::ArrayProperty

  validate do |value|
    fail 'You need to specify an Array instead of a comma separated string' if value =~ /,/
    fail 'Syntax attribute-value expected' unless value.include?('=')
  end

  to_translate_to_resource do | raw_resource|
    wls_config = Puppet_X::EnterpriseModules::WebLogic::Tree.new(raw_resource[:domain])
    value = wls_config.get(actual_path(raw_resource))
    if value    
      value.gsub!('{','')
      value.gsub!('}','')
      value.split(',').collect(&:strip)
    else
      nil
    end
  end

  on_apply do
    apply_paths_with_property(value.join(','))
  end


end
