#
# See the file "LICENSE" for the full license governing this code.
#
class Puppet::Parameter::WlsHashTreeProperty < Puppet::Parameter::WlsProperty

  validate do |value|
    fail 'You need to specify an Array instead of a comma separated string' if value =~ /,/
    fail 'Syntax attribute-value expected' unless value.include?('=')
  end

  def insync?(is)
    if should.to_s == 'absent' && is.to_s != 'absent'
      Array(is).sort == Array(default_value).sort
    elsif should.to_s == 'absent' && is.to_s == 'absent'
      true
    else
      Array(is).sort == Array(should).sort
    end
  end


#
# The maps_to needs to map to a directory
#
  to_translate_to_resource do |raw_resource, resource|
    wls_config = Puppet_X::EnterpriseModules::WebLogic::Tree.new(raw_resource[:domain])
    properties = wls_config.children(actual_path(raw_resource))
    properties.collect do | property|
      value = wls_config.get("#{actual_path(raw_resource)}#{property}/Value")
      "#{property}=#{value}"
    end
  end

  on_apply do
    apply_paths_with_property_tree(value.join(','),'Property')
  end

end
